> ## Documentation Index
> Fetch the complete documentation index at: https://docs.story.foundation/llms.txt
> Use this file to discover all available pages before exploring further.

# GetValidatorByValidatorAddress



## OpenAPI

````yaml /api-reference/consensus-client/consensus-client-api.json get /staking/validators/{validator_addr}
openapi: 3.1.0
info:
  title: Consensus Client Api
  description: ''
  version: 1.0.0
servers: []
security: []
tags:
  - name: Cosmos Origin
  - name: Cosmos Origin/Staking
  - name: Cosmos Origin/Auth
  - name: Cosmos Origin/Bank
  - name: Cosmos Origin/Distribution
  - name: Cosmos Origin/Mint
  - name: Story Extend
  - name: Story Extend/Staking
paths:
  /staking/validators/{validator_addr}:
    get:
      tags:
        - Cosmos Origin/Staking
      summary: GetValidatorByValidatorAddress
      parameters:
        - name: validator_addr
          in: path
          description: validator_addr defines the validator address to query for.
          required: true
          example: '0xdb8e606ad7c02f37e43d10a10126791dc94b0434'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: object
                    properties:
                      validator:
                        type: object
                        properties:
                          operator_address:
                            type: string
                          consensus_pubkey:
                            type: object
                            properties:
                              type:
                                type: string
                              value:
                                type: string
                            required:
                              - type
                              - value
                          status:
                            type: integer
                          tokens:
                            type: string
                          delegator_shares:
                            type: string
                          description:
                            type: object
                            properties:
                              moniker:
                                type: string
                            required:
                              - moniker
                          unbonding_time:
                            type: string
                          commission:
                            type: object
                            properties:
                              commission_rates:
                                type: object
                                properties:
                                  rate:
                                    type: string
                                  max_rate:
                                    type: string
                                  max_change_rate:
                                    type: string
                                required:
                                  - rate
                                  - max_rate
                                  - max_change_rate
                              update_time:
                                type: string
                            required:
                              - commission_rates
                              - update_time
                          min_self_delegation:
                            type: string
                          support_token_type:
                            type: integer
                          rewards_tokens:
                            type: string
                          delegator_rewards_shares:
                            type: string
                        required:
                          - operator_address
                          - consensus_pubkey
                          - status
                          - tokens
                          - delegator_shares
                          - description
                          - unbonding_time
                          - commission
                          - min_self_delegation
                          - support_token_type
                          - rewards_tokens
                          - delegator_rewards_shares
                    required:
                      - validator
                  error:
                    type: string
                required:
                  - code
                  - msg
                  - error
              examples:
                '1':
                  summary: Success
                  value:
                    code: 200
                    msg:
                      validator:
                        operator_address: '0xdb8e606ad7c02f37e43d10a10126791dc94b0434'
                        consensus_pubkey:
                          type: tendermint/PubKeySecp256k1
                          value: A6KRGirXFYsv5oVQz8d8YIl0Nj23bXo2jLHui72y12Bi
                        status: 3
                        tokens: '1000000'
                        delegator_shares: '1000000.000000000000000000'
                        description:
                          moniker: '0x9DFC26A7662106EEEC5E87B20CBB690CFCE73A05'
                        unbonding_time: '1970-01-01T00:00:00Z'
                        commission:
                          commission_rates:
                            rate: '0.070000000000000000'
                            max_rate: '0.100000000000000000'
                            max_change_rate: '0.010000000000000000'
                          update_time: '2024-04-16T11:04:40.60280319Z'
                        min_self_delegation: '1024000000000'
                        support_token_type: 1
                        rewards_tokens: '1000000.000000000000000000'
                        delegator_rewards_shares: '1000000.000000000000000000'
                    error: ''
          headers: {}
      deprecated: false
      security: []

````